<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.manager.map.ManagerHousekeeperCacheTemporaryMapper">
    <delete id="clearAllData">
        TRUNCATE manager_housekeeper_cache_temporary
    </delete>
    <select id="selectAllList" resultType="cn.com.countrygarden.bi.main.model.manager.map.ManagerHousekeeperCacheTemporary">
        SELECT DISTINCT
            region_name regionName,
            region_code regionCode,
            project_name projectName,
            pk_org pkOrg,
            development_subject developmentSubject,
            name,
            sex,
            birthdate,
            age_structure ageStructure,
            houses,
            villas,
            shops,
            garden_district gardenDistrict,
            joinwork_date joinworkDate,
            jurisdictionFor_month jurisdictionForMonth,
            job_lv jobLv,
            housekeeper_phone housekeeperPhone,
            phone_Isfixed phoneIsfixed,
            service_center_Hotline serviceCenterHotline,
            hotline_connection_time hotlineConnectionTime,
            created_date createdDate,
            created_by createdBy,
            updated_date updatedDate,
            updated_by updatedBy,
            flag,
            jurisdiction_month jurisdictionMonth,
            pk_psndoc pkPsndoc,
            organ_name organName,
            comm_code commCode,
            comm_name commName,
            hjid,
            is_update isUpdate,
            bid
        FROM
            manager_housekeeper_cache_temporary
    </select>
</mapper>